<?php
//Otvírací hodiny
$storeSchedule = [   
    'Mon' => ['05:00 AM' => '10:00 PM'],
    'Tue' => ['05:00 AM' => '10:00 PM'],
    'Wed' => ['05:00 AM' => '10:00 PM'],
    'Thu' => ['05:00 AM' => '10:00 PM'],
    'Fri' => ['05:00 AM' => '11:00 PM'],
    'Sat' => ['06:00 AM' => '11:00 PM'],
	'Sun' => ['06:00 AM' => '11:00 PM']
];

// Aktuální Timestamp
$timestamp = time();

// Výchozí status
$status = '<span class="close">Zavřeno</span>';

// Získává aktuální čas 
$currentTime = (new DateTime())->setTimestamp($timestamp);

// smyčka kterí projede každý den
foreach ($storeSchedule[date('D', $timestamp)] as $startTime => $endTime) {

    // pro každý den nastaví počátek a konec otvíracích hodin
    $startTime = DateTime::createFromFormat('h:i A', $startTime);
    $endTime   = DateTime::createFromFormat('h:i A', $endTime);

    // Zkontroluje jestli se aktuální čas nachází v v rozmezí otvíracích hodin
    if (($startTime < $currentTime) && ($currentTime < $endTime)) {
        $status = '<span class="open">Otevřeno</span>';
        break;
    }
}

echo "$status";