<!DOCTYPE html>
<html>
   <head>
      <link rel="stylesheet" href="css/style.css">
      <script src="https://api.mapy.cz/loader.js"></script>
	  <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
      <script>Loader.load()</script>
<script src="https://write.corbpie.com/wp-content/litespeed/localres/cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script type="text/javascript">

function fetchData() {
	$.get("parkingSlot.php", function (result) {
			var html = '';
            result.forEach(record => {
				html += '<div class="lot-box '+ (record.availability == 'true' ? 'available' : 'unavailable') +'">' + record.id + '</div>';
			});
			console.log(html);
			$('#data').html(html);
        });
        $.get("stats.php", function (result) {
			$("#AllSlots").text(result.allSlots);
			$("#FreeSlots").text(result.freeSlots);
        });
}

$(document).ready(function () {
	fetchData();
});

</script>
<script src="http://localhost:3000/socket.io/socket.io.js"></script>
<script>
  const socket = io("http://localhost:3000");
  socket.on('sensor-update', function() {
	 console.log('sensor update'); 
	 fetchData();
  });
</script>
   </head>
   <body>
      <div class="container">
         <div class="header">
            <h1>Systém chytrého parkoviště</h1>
            <?php include 'isOpen.php';?>
         </div>
         <main>
            <div class="info">
               <p class="title">Parkoviště INFO</p>
               <p class="fix-spaces">Počet míst:</p>
               <span class="fix-data"><div id="AllSlots">-</div></span>
               <p class="var-spaces">Obsazeno míst: </p>
               <span class="var-data"><div id="FreeSlots">-</div></span>
               <div class="location">
                  <p>Adresa Parkoviště:</p>
                  <i class="fas fa-map-marker-alt"></i>
                  <p>Kamýcká 129, Praha 165 00</p>
                  <div id="mapa" style="width:300px; height:400px;"></div>
					<script type="text/javascript">
                     var stred = SMap.Coords.fromWGS84(14.3775210,50.1314959);
                     var mapa = new SMap(JAK.gel("mapa"), stred, 16);
                     mapa.addDefaultLayer(SMap.DEF_BASE).enable();
                     mapa.addDefaultControls();	      	      
					</script>
               </div>
            </div>
			<div id="data" class="parking-slots"></div>
         </main>
      </div>